// pages/chat-detail/chat-detail.js
let disp = require("../../utils/broadcast");

Page({

    /**
     * 页面的初始数据
     */
    data: {
        username: {
            your: "",
        },
        list: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        console.info(options)
        let me = this
        let username = options && JSON.parse(options.username) || {};
        console.log('username *****', username)
        this.setData({ username: username });
        wx.setNavigationBarTitle({
            title: username.navigationTitle
        });
        disp.on('em.megList.refresh', function () {
            const pages = getCurrentPages();
            const currentPage = pages[pages.length - 1];
            if (currentPage.route == "pages/chatroom/chatroom") {
                me.onLoad()
            }
        })
        if (username.action == 'join') {
            console.log('username', username)
            this.selectComponent('#chat').joinConf(username.data)
        }
        disp.on('emedia.confirmRing', function (event) {
            console.log('event', event)
            me.selectComponent('#chat').joinConf()
        });
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {
        disp.fire("em.chatroom.leave");
    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {
        wx.showNavigationBarLoading();
        this.selectComponent('#chat').getMore()
        // 停止下拉动作
        wx.hideNavigationBarLoading();
        wx.stopPullDownRefresh();
    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

})